// Si5351_ESP WSPR 14.000000 MHZ SINYAL URETECI

#include <si5351.h>
#include "Wire.h"

unsigned long freq = 14000000UL; //CHANGE THIS: is the freq of multiband output on jack 1 (clock0)

int32_t cal_factor = 0; // Kalibrasyon Faktoru. Dogru frekans icin bunu degistirin.

#define SI5351_REF 		25000000UL  //change this to the frequency of the crystal on your si5351’s PCB, usually 25 or 27 MHz

Si5351 si5351;
 
void setup()
{
  Serial.begin(115200); while (!Serial);
  Serial.println("COM setup successful");
  delay(10);
     
  // Initialize the Si5351
  Serial.println("start radio module setup");
  
   // The crystal load value needs to match in order to have an accurate calibration
  si5351.init(SI5351_CRYSTAL_LOAD_8PF, 0, 0);

  // Start on target frequency
  si5351.set_correction(cal_factor, SI5351_PLL_INPUT_XO);
  
  
  // Set CLK0 output
  si5351.set_freq(freq * 100, SI5351_CLK0);
  si5351.drive_strength(SI5351_CLK0, SI5351_DRIVE_8MA); // Set for max power
  si5351.set_clock_pwr(SI5351_CLK0, 1); // Enable the clock initially


  Serial.println("Radio Module setup successful");
}
 
void loop()
{  

      

  }
